Package org.flowable.engine.migration

# Class ActivityMigrationMapping.OneToManyMapping

java.lang.Object
org.flowable.engine.migration.ActivityMigrationMapping
org.flowable.engine.migration.ActivityMigrationMapping.OneToManyMapping

All Implemented Interfaces:
  `ActivityMigrationMappingOptions<ActivityMigrationMapping.OneToManyMapping>`, `ActivityMigrationMappingOptions.MultipleToActivityOptions<ActivityMigrationMapping.OneToManyMapping>`

Enclosing class:
  `ActivityMigrationMapping`

public static class ActivityMigrationMapping.OneToManyMapping extends ActivityMigrationMapping implements ActivityMigrationMappingOptions.MultipleToActivityOptions<ActivityMigrationMapping.OneToManyMapping>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.flowable.engine.migration.ActivityMigrationMapping

  `ActivityMigrationMapping.ManyToOneMapping, ActivityMigrationMapping.OneToManyMapping, ActivityMigrationMapping.OneToOneMapping`

  ## Nested classes/interfaces inherited from interface org.flowable.engine.migration.ActivityMigrationMappingOptions

  `ActivityMigrationMappingOptions.MultipleToActivityOptions<T extends ActivityMigrationMapping>, ActivityMigrationMappingOptions.SingleToActivityOptions<T extends ActivityMigrationMapping>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `fromActivityId`
  `List<String>`
  `toActivityIds`
  `protected Map<String,Map<String,Object>>`
  `withLocalVariables`

  ### Fields inherited from class org.flowable.engine.migration.ActivityMigrationMapping

  `callActivityProcessDefinitionVersion, fromCallActivityId, toCallActivityId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OneToManyMapping(String fromActivityId, List<String> toActivityIds)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,Map<String,Object>>`
  `getActivitiesLocalVariables()`
  `String`
  `getFromActivityId()`
  `List<String>`
  `getFromActivityIds()`
  `List<String>`
  `getToActivityIds()`
  `ActivityMigrationMapping.OneToManyMapping`
  `inParentProcessOfCallActivityId(String fromCallActivityId)`
  `ActivityMigrationMapping.OneToManyMapping`
  `inSubProcessOfCallActivityId(String toCallActivityId)`
  `ActivityMigrationMapping.OneToManyMapping`
  `inSubProcessOfCallActivityId(String toCallActivityId, int subProcessDefVersion)`
  `String`
  `toString()`
  `ActivityMigrationMapping.OneToManyMapping`
  `withLocalVariableForActivity(String toActivity, String variableName, Object variableValue)`
  `ActivityMigrationMapping.OneToManyMapping`
  `withLocalVariableForAllActivities(String variableName, Object variableValue)`
  `ActivityMigrationMapping.OneToManyMapping`
  `withLocalVariables(Map<String,Map<String,Object>> mappingVariables)`
  `ActivityMigrationMapping.OneToManyMapping`
  `withLocalVariablesForActivity(String toActivity, Map<String,Object> variables)`
  `ActivityMigrationMapping.OneToManyMapping`
  `withLocalVariablesForAllActivities(Map<String,Object> variables)`

  ### Methods inherited from class org.flowable.engine.migration.ActivityMigrationMapping

  `createMappingFor, createMappingFor, createMappingFor, getCallActivityProcessDefinitionVersion, getFromCallActivityId, getToCallActivityId, isToCallActivity, isToParentProcess`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.flowable.engine.migration.ActivityMigrationMappingOptions

  `getCallActivityProcessDefinitionVersion, getFromCallActivityId, getToCallActivityId, isToCallActivity, isToParentProcess`

- ## Field Details

  - ### fromActivityId

    public String fromActivityId

  - ### toActivityIds

    public List<String> toActivityIds

  - ### withLocalVariables

    protected Map<String,Map<String,Object>> withLocalVariables

- ## Constructor Details

  - ### OneToManyMapping

    public OneToManyMapping(String fromActivityId, List<String> toActivityIds)

- ## Method Details

  - ### getFromActivityIds

    public List<String> getFromActivityIds()
    Specified by:
      `getFromActivityIds` in class `ActivityMigrationMapping`

  - ### getToActivityIds

    public List<String> getToActivityIds()
    Specified by:
      `getToActivityIds` in class `ActivityMigrationMapping`

  - ### getFromActivityId

    public String getFromActivityId()

  - ### inParentProcessOfCallActivityId

    public ActivityMigrationMapping.OneToManyMapping inParentProcessOfCallActivityId(String fromCallActivityId)
    Specified by:
      `inParentProcessOfCallActivityId` in interface `ActivityMigrationMappingOptions<ActivityMigrationMapping.OneToManyMapping>`

  - ### inSubProcessOfCallActivityId

    public ActivityMigrationMapping.OneToManyMapping inSubProcessOfCallActivityId(String toCallActivityId)
    Specified by:
      `inSubProcessOfCallActivityId` in interface `ActivityMigrationMappingOptions<ActivityMigrationMapping.OneToManyMapping>`

  - ### inSubProcessOfCallActivityId

    public ActivityMigrationMapping.OneToManyMapping inSubProcessOfCallActivityId(String toCallActivityId, int subProcessDefVersion)
    Specified by:
      `inSubProcessOfCallActivityId` in interface `ActivityMigrationMappingOptions<ActivityMigrationMapping.OneToManyMapping>`

  - ### withLocalVariableForActivity

    public ActivityMigrationMapping.OneToManyMapping withLocalVariableForActivity(String toActivity, String variableName, Object variableValue)
    Specified by:
      `withLocalVariableForActivity` in interface `ActivityMigrationMappingOptions.MultipleToActivityOptions<ActivityMigrationMapping.OneToManyMapping>`

  - ### withLocalVariablesForActivity

    public ActivityMigrationMapping.OneToManyMapping withLocalVariablesForActivity(String toActivity, Map<String,Object> variables)
    Specified by:
      `withLocalVariablesForActivity` in interface `ActivityMigrationMappingOptions.MultipleToActivityOptions<ActivityMigrationMapping.OneToManyMapping>`

  - ### withLocalVariableForAllActivities

    public ActivityMigrationMapping.OneToManyMapping withLocalVariableForAllActivities(String variableName, Object variableValue)
    Specified by:
      `withLocalVariableForAllActivities` in interface `ActivityMigrationMappingOptions.MultipleToActivityOptions<ActivityMigrationMapping.OneToManyMapping>`

  - ### withLocalVariablesForAllActivities

    public ActivityMigrationMapping.OneToManyMapping withLocalVariablesForAllActivities(Map<String,Object> variables)
    Specified by:
      `withLocalVariablesForAllActivities` in interface `ActivityMigrationMappingOptions.MultipleToActivityOptions<ActivityMigrationMapping.OneToManyMapping>`

  - ### withLocalVariables

    public ActivityMigrationMapping.OneToManyMapping withLocalVariables(Map<String,Map<String,Object>> mappingVariables)
    Specified by:
      `withLocalVariables` in interface `ActivityMigrationMappingOptions.MultipleToActivityOptions<ActivityMigrationMapping.OneToManyMapping>`

  - ### getActivitiesLocalVariables

    public Map<String,Map<String,Object>> getActivitiesLocalVariables()
    Specified by:
      `getActivitiesLocalVariables` in interface `ActivityMigrationMappingOptions.MultipleToActivityOptions<ActivityMigrationMapping.OneToManyMapping>`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`